
Ryzom - Bug # 1298

Status: Feedback Priority: Low
Author: Sywindt Category: OS: Mac
Created: 05/22/2011 Assignee:
Updated: 04/12/2012 Due date:
Subject: Crash assert in simple_sound when entering guild hall
Description

From live: When entering a guild hall, user always crashes with an assert: AST 70ba8ca0 simple_source.cpp 177 : "play"

See log file

Related issues:
related to Ryzom - Feature # 1314: OpenAL environment effects on Mac OS X New 06/06/2011

History
#1 - 05/23/2011 11:54 am - rti

related to #1215?

#2 - 05/23/2011 09:00 pm - Sywindt

Looks quite similar indeed; Missed that in my (admittedly cursory) search.

This however happens every time when entering guild hall; player has not had it at other time.

#3 - 05/23/2011 09:04 pm - rti

Thanks a lot for reporting. So now we got a way to reproduce it.

#4 - 05/23/2011 09:08 pm - Naush

Where is you GH, Tryker gh doesn't sufer this bug :/

#5 - 05/23/2011 09:10 pm - Sywindt

It is a Matis GH

#6 - 05/23/2011 09:15 pm - Sywindt

It is a Matis GH; UserPosition: 20196.13 -465.42 0.81

#7 - 05/23/2011 09:23 pm - Naush

Oki, I have the same feed back from Markanjio who is matis from a matis guild. As a quick work around he suggest to turn out the sound :/
He also told me that the city music raise the bug.

A last thing that is not needed for the momment, may I know what is your sound setup ? Alsa/ pulseaudio / ???

Many thanks for your feed back :)

#8 - 05/23/2011 10:17 pm - Sywindt

I have asked the player in question to reply directy.

#9 - 05/23/2011 10:22 pm - eify

Naush wrote:

A last thing that is not needed for the momment, may I know what is your sound setup ? Alsa/ pulseaudio / ???

Hey Naush, I'm the player in question, can you please tell my how I can identify my sound setup (drivers?)? Please note that I'm running Mac OSX
Snow Leopard and with a Mac these drivers are probably generic for the whole model line.
. A quick Google search didn't gave me an answer.

#10 - 05/25/2011 09:19 pm - Naush

Alsa / pulseaudio is not relevant for a macOSX setup, Markanjio is linux based and I also suffer this bug, I also suffer a sound driver bug, but it is very
rare. I miss the point you where all macosx based.

btw linux and macosx are sharing the same audio code.

Can you provide screen shoot of system->configuration -> sound ?

#11 - 06/01/2011 11:45 am - rti

Without looking really deep into it, this could prevent the "crash" (AKA hide the problem):

diff -r 112b0f17d193 code/nel/src/sound/simple_source.cpp
--- a/code/nel/src/sound/simple_source.cpp    Wed Jun 01 01:16:06 2011 +0200
+++ b/code/nel/src/sound/simple_source.cpp    Wed Jun 01 11:27:30 2011 +0200
@@ -174,7 +174,11 @@

         // and play the sound
         bool play = pSource->play();        
-        nlassert(play);
+        // nlassert(play);
+        if(!play)
+        {
+            nlwarning("ISource::play() failed on %X", pSource);
+        }
         // nldebug("CSimpleSource %p : REAL play done", (CAudioMixerUser::IMixerEvent*)this);
     }
     else

Do not assert if play was not successful, just print a warning. 
Btw, CSourceAL::play() returns false if alSourcePlay creates an error (taken from source_al.cpp:251):

alSourcePlay(_Source);
_IsPlaying = alGetError() == AL_NO_ERROR;
if (_IsPlaying)
    _StartTime = CTime::getLocalTime();
return _IsPlaying;

#12 - 06/01/2011 11:46 am - rti

Another backtrace and log: http://fpaste.org/T9VW/

#13 - 06/01/2011 11:49 am - rti
- Priority changed from Normal to High

#14 - 06/06/2011 09:37 am - rti

I was able to reproduce this crash with some code based on the NeL sound sources sample.
Very interesting is, alGetError returns -1 in this situation, which is IMHO an undocumented error code.
The same code works without problems if I use OpenAL soft instead of Apple's OpenAL.framework.

#15 - 04/12/2012 08:14 pm - kaetemi
- Status changed from New to Assigned
- Assignee set to kaetemi
- Priority changed from High to Immediate
- Target version set to Version 0.9.0

Assert will be replaced with warning.

#16 - 04/12/2012 09:50 pm - kaetemi
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d8010e723e0d.

#17 - 04/12/2012 10:13 pm - kaetemi
- Status changed from Resolved to Feedback
- Assignee deleted (kaetemi)
- Priority changed from Immediate to Low
Shout here when you get the warning message in your logs, and if anything funny happens with the sound in-game when this occurs.

Files
anonlog.log 224.4 kB 05/22/2011 Sywindt
